Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgDB::ReaderWriter::Options Class Reference

Options base class used for passing options into plugins to control their operation. More...

Inheritance diagram for osgDB::ReaderWriter::Options:

[legend]
List of all members.

## Public Types
enum | CacheHintOptions { CACHE_NONE = 0, CACHE_NODES = 1, CACHE_IMAGES = 2, CACHE_HEIGHTFIELDS = 4, CACHE_ARCHIVES = 8, CACHE_OBJECTS = 16, CACHE_ALL }
| bit mask for setting up which object types get cached by readObject/Image/HeightField/Node(filename) calls More...
## Public Member Functions
| Options ()
| Options (const std::string &str)
| Options (const Options &options, const osg::CopyOp copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgDB, Options)
void | setOptionString (const std::string &str)
| Set the general Options string.
const std::string & | getOptionString () const
| Get the general Options string.
void | setDatabasePath (const std::string &str)
| Set the database path to use a hint of where to look when loading models.
FilePathList & | getDatabasePathList ()
| Get the database path which is used a hint of where to look when loading models.
const FilePathList & | getDatabasePathList () const
| Get the const database path which is used a hint of where to look when loading models.
void | setObjectCacheHint (CacheHintOptions useObjectCache)
| Set whether the Registry::ObjectCache should be used by default.
CacheHintOptions | getObjectCacheHint () const
| Get whether the Registry::ObjectCache should be used by default.
## Protected Member Functions
virtual | ~Options ()
## Protected Attributes
std::string | _str
FilePathList | _databasePaths
CacheHintOptions | _objectCacheHint

## Detailed Description

Options base class used for passing options into plugins to control their operation.

## Member Enumeration Documentation

enum osgDB::ReaderWriter::Options::CacheHintOptions

  | bit mask for setting up which object types get cached by readObject/Image/HeightField/Node(filename) calls Enumeration values:
  CACHE_NONE | do not cache objects of any type
  CACHE_NODES | cache nodes loaded via readNode(filename)
  CACHE_IMAGES | cache images loaded via readImage(filename)
  CACHE_HEIGHTFIELDS | cache heightfield loaded via readHeightField(filename)
  CACHE_ARCHIVES | cache heightfield loaded via readHeightField(filename)
  CACHE_OBJECTS | cache objects loaded via readObject(filename)
  CACHE_ALL | cache on all read*(filename) calls

## Constructor & Destructor Documentation

osgDB::ReaderWriter::Options::Options | ( |  | ) | `[inline]`

osgDB::ReaderWriter::Options::Options | ( | const std::string & | str | ) | `[inline]`

osgDB::ReaderWriter::Options::Options | ( | const Options & | options,
|  | const osg::CopyOp | copyop = osg::CopyOp::SHALLOW_COPY
| ) | `[inline]`

virtual osgDB::ReaderWriter::Options::~Options | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

const FilePathList& osgDB::ReaderWriter::Options::getDatabasePathList | ( |  | ) | const`[inline]`

| Get the const database path which is used a hint of where to look when loading models.

FilePathList& osgDB::ReaderWriter::Options::getDatabasePathList | ( |  | ) | `[inline]`

| Get the database path which is used a hint of where to look when loading models.

CacheHintOptions osgDB::ReaderWriter::Options::getObjectCacheHint | ( |  | ) | const`[inline]`

| Get whether the Registry::ObjectCache should be used by default.

const std::string& osgDB::ReaderWriter::Options::getOptionString | ( |  | ) | const`[inline]`

| Get the general Options string.

osgDB::ReaderWriter::Options::META_Object | ( | osgDB | ,
|  | Options |
| ) |

void osgDB::ReaderWriter::Options::setDatabasePath | ( | const std::string & | str | ) | `[inline]`

| Set the database path to use a hint of where to look when loading models.

void osgDB::ReaderWriter::Options::setObjectCacheHint | ( | CacheHintOptions | useObjectCache | ) | `[inline]`

| Set whether the Registry::ObjectCache should be used by default.

void osgDB::ReaderWriter::Options::setOptionString | ( | const std::string & | str | ) | `[inline]`

| Set the general Options string.

## Member Data Documentation

FilePathList osgDB::ReaderWriter::Options::_databasePaths`[protected]`

CacheHintOptions osgDB::ReaderWriter::Options::_objectCacheHint`[protected]`

std::string osgDB::ReaderWriter::Options::_str`[protected]`

The documentation for this class was generated from the following file:

- osgDB/ReaderWriter